Skip to main content
POST
/
cms
/
blogs
/
2026-03
/
authors
/
batch
/
update
cURL
curl --request POST \
  --url https://api.hubapi.com/cms/blogs/2026-03/authors/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "inputs": [
    {}
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "language": "aa",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Body

*/*
inputs
object[]
required

JSON nodes to input.

Response

successful operation

completedAt
string<date-time>
required

Time of batch operation completion.

results
object[]
required

Results of batch operation.

startedAt
string<date-time>
required

Time of batch operation start.

status
enum<string>
required

Status of batch operation.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links associated with batch operation.

requestedAt
string<date-time>

Time of batch operation request.

Last modified on March 30, 2026